package com.admin.major.service;

import java.util.List;
import com.admin.major.domain.MajorInfo;

/**
 * 专业管理Service接口
 * 
 * @author zewei
 * @date 2022-03-25
 */
public interface IMajorInfoService 
{
    /**
     * 查询专业管理
     * 
     * @param majorId 专业管理主键
     * @return 专业管理
     */
    public MajorInfo selectMajorInfoByMajorId(String majorId);

    /**
     * 查询专业管理列表
     * 
     * @param majorInfo 专业管理
     * @return 专业管理集合
     */
    public List<MajorInfo> selectMajorInfoList(MajorInfo majorInfo);

    MajorInfo selectOneMajorInfo(MajorInfo majorInfo);

    /**
     * 新增专业管理
     * 
     * @param majorInfo 专业管理
     * @return 结果
     */
    public int insertMajorInfo(MajorInfo majorInfo);

    /**
     * 修改专业管理
     * 
     * @param majorInfo 专业管理
     * @return 结果
     */
    public int updateMajorInfo(MajorInfo majorInfo);

    /**
     * 批量删除专业管理
     * 
     * @param majorIds 需要删除的专业管理主键集合
     * @return 结果
     */
    public int deleteMajorInfoByMajorIds(String[] majorIds);

    /**
     * 删除专业管理信息
     * 
     * @param majorId 专业管理主键
     * @return 结果
     */
    public int deleteMajorInfoByMajorId(String majorId);

    boolean saveBatch(List<MajorInfo> list);
}
